Index: /trunk/src/VBox/Devices/PC/BIOS/VBoxBiosAlternative.asm
===================================================================
--- /trunk/src/VBox/Devices/PC/BIOS/VBoxBiosAlternative.asm	(revision 50158)
+++ /trunk/src/VBox/Devices/PC/BIOS/VBoxBiosAlternative.asm	(revision 50159)
@@ -9593,5 +9766,5 @@
     pop bp                                    ; 5d
     retn                                      ; c3
-_int74_function:                             ; 0xf6a9f LB 0xca
+_int74_function:                             ; 0xf6c53 LB 0xca
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -9599,5 +9772,5 @@
     mov dx, strict word 0000eh                ; ba 0e 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0161ch                               ; e8 6e ab
+    call 0161ch                               ; e8 ba a9
     mov cx, ax                                ; 89 c1
     mov word [bp+004h], strict word 00000h    ; c7 46 04 00 00
@@ -9608,5 +9781,5 @@
     and AL, strict byte 021h                  ; 24 21
     cmp AL, strict byte 021h                  ; 3c 21
-    jne near 06b55h                           ; 0f 85 92 00
+    jne near 06d09h                           ; 0f 85 92 00
     mov dx, strict word 00060h                ; ba 60 00
     in AL, DX                                 ; ec
@@ -9616,12 +9789,12 @@
     mov dx, strict word 00026h                ; ba 26 00
     mov ax, cx                                ; 89 c8
-    call 01600h                               ; e8 2d ab
+    call 01600h                               ; e8 79 a9
     mov byte [bp-006h], al                    ; 88 46 fa
     mov dx, strict word 00027h                ; ba 27 00
     mov ax, cx                                ; 89 c8
-    call 01600h                               ; e8 22 ab
+    call 01600h                               ; e8 6e a9
     mov byte [bp-008h], al                    ; 88 46 f8
     test AL, strict byte 080h                 ; a8 80
-    je short 06b55h                           ; 74 70
+    je short 06d09h                           ; 74 70
     mov al, byte [bp-008h]                    ; 8a 46 f8
     and AL, strict byte 007h                  ; 24 07
@@ -9634,21 +9807,21 @@
     add dx, strict byte 00028h                ; 83 c2 28
     mov ax, cx                                ; 89 c8
-    call 0160eh                               ; e8 0c ab
+    call 0160eh                               ; e8 58 a9
     mov al, byte [bp-004h]                    ; 8a 46 fc
     cmp al, byte [bp-002h]                    ; 3a 46 fe
-    jc short 06b46h                           ; 72 3c
+    jc short 06cfah                           ; 72 3c
     mov dx, strict word 00028h                ; ba 28 00
     mov ax, cx                                ; 89 c8
-    call 01600h                               ; e8 ee aa
+    call 01600h                               ; e8 3a a9
     xor ah, ah                                ; 30 e4
     mov word [bp+00ch], ax                    ; 89 46 0c
     mov dx, strict word 00029h                ; ba 29 00
     mov ax, cx                                ; 89 c8
-    call 01600h                               ; e8 e1 aa
+    call 01600h                               ; e8 2d a9
     xor ah, ah                                ; 30 e4
     mov word [bp+00ah], ax                    ; 89 46 0a
     mov dx, strict word 0002ah                ; ba 2a 00
     mov ax, cx                                ; 89 c8
-    call 01600h                               ; e8 d4 aa
+    call 01600h                               ; e8 20 a9
     xor ah, ah                                ; 30 e4
     mov word [bp+008h], ax                    ; 89 46 08
@@ -9657,28 +9830,31 @@
     mov byte [bp-006h], ah                    ; 88 66 fa
     test byte [bp-008h], 080h                 ; f6 46 f8 80
-    je short 06b49h                           ; 74 0a
+    je short 06cfdh                           ; 74 0a
     mov word [bp+004h], strict word 00001h    ; c7 46 04 01 00
-    jmp short 06b49h                          ; eb 03
+    jmp short 06cfdh                          ; eb 03
     inc byte [bp-006h]                        ; fe 46 fa
     movzx bx, byte [bp-006h]                  ; 0f b6 5e fa
     mov dx, strict word 00026h                ; ba 26 00
     mov ax, cx                                ; 89 c8
-    call 0160eh                               ; e8 b9 aa
+    call 0160eh                               ; e8 05 a9
     mov sp, bp                                ; 89 ec
     pop bp                                    ; 5d
     retn                                      ; c3
+    popaw                                     ; 61
+    insw                                      ; 6d
+    xlatb                                     ; d7
+    insw                                      ; 6d
+    pop dx                                    ; 5a
+    outsb                                     ; 6e
+    jmp short 06d83h                          ; eb 6e
+    pop cx                                    ; 59
+    outsw                                     ; 6f
     lodsw                                     ; ad
-    imul sp, word [bp+di], strict byte 0006ch ; 6b 23 6c
-    cmpsb                                     ; a6
-    insb                                      ; 6c
-    aaa                                       ; 37
     insw                                      ; 6d
-    movsw                                     ; a5
-    insw                                      ; 6d
-    stc                                       ; f9
-    imul cx, bp, strict byte 0006dh           ; 6b cd 6d
-    xchg dx, ax                               ; 92
-    outsb                                     ; 6e
-_int15_function_mouse:                       ; 0xf6b69 LB 0x38b
+    db  081h
+    outsw                                     ; 6f
+    inc si                                    ; 46
+    db  070h
+_int15_function_mouse:                       ; 0xf6d1d LB 0x38b
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -9687,31 +9863,31 @@
     mov dx, strict word 0000eh                ; ba 0e 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0161ch                               ; e8 a3 aa
+    call 0161ch                               ; e8 ef a8
     mov cx, ax                                ; 89 c1
     cmp byte [bp+012h], 007h                  ; 80 7e 12 07
-    jbe short 06b8ch                          ; 76 0b
+    jbe short 06d40h                          ; 76 0b
     or word [bp+018h], strict byte 00001h     ; 83 4e 18 01
     mov byte [bp+013h], 001h                  ; c6 46 13 01
-    jmp near 06eeeh                           ; e9 62 03
+    jmp near 070a2h                           ; e9 62 03
     mov ax, strict word 00065h                ; b8 65 00
-    call 06a6dh                               ; e8 db fe
+    call 06c21h                               ; e8 db fe
     and word [bp+018h], strict byte 0fffeh    ; 83 66 18 fe
     mov byte [bp+013h], 000h                  ; c6 46 13 00
     mov al, byte [bp+012h]                    ; 8a 46 12
     cmp AL, strict byte 007h                  ; 3c 07
-    jnbe near 06ed5h                          ; 0f 87 32 03
+    jnbe near 07089h                          ; 0f 87 32 03
     movzx si, al                              ; 0f b6 f0
     add si, si                                ; 01 f6
-    jmp word [cs:si+06b59h]                   ; 2e ff a4 59 6b
+    jmp word [cs:si+06d0dh]                   ; 2e ff a4 0d 6d
     cmp byte [bp+00dh], 001h                  ; 80 7e 0d 01
-    jnbe near 06ee0h                          ; 0f 87 2b 03
+    jnbe near 07094h                          ; 0f 87 2b 03
     mov dx, strict word 00027h                ; ba 27 00
     mov ax, cx                                ; 89 c8
-    call 01600h                               ; e8 43 aa
+    call 01600h                               ; e8 8f a8
     test AL, strict byte 080h                 ; a8 80
-    jne short 06bcch                          ; 75 0b
+    jne short 06d80h                          ; 75 0b
     or word [bp+018h], strict byte 00001h     ; 83 4e 18 01
     mov byte [bp+013h], 005h                  ; c6 46 13 05
-    jmp near 06ee8h                           ; e9 1c 03
+    jmp near 0709ch                           ; e9 1c 03
     cmp byte [bp+00dh], 000h                  ; 80 7e 0d 00
     db  00fh, 094h, 0c0h
@@ -9719,24 +9895,24 @@
     add AL, strict byte 0f4h                  ; 04 f4
     xor ah, ah                                ; 30 e4
-    call 069feh                               ; e8 24 fe
+    call 06bb2h                               ; e8 24 fe
     test al, al                               ; 84 c0
-    jne near 06e6eh                           ; 0f 85 8e 02
+    jne near 07022h                           ; 0f 85 8e 02
     mov dx, ss                                ; 8c d2
     lea ax, [bp-008h]                         ; 8d 46 f8
-    call 06a32h                               ; e8 4a fe
+    call 06be6h                               ; e8 4a fe
     test al, al                               ; 84 c0
-    je near 06ee8h                            ; 0f 84 fa 02
+    je near 0709ch                            ; 0f 84 fa 02
     cmp byte [bp-008h], 0fah                  ; 80 7e f8 fa
-    jne near 06e6eh                           ; 0f 85 78 02
-    jmp near 06ee8h                           ; e9 ef 02
+    jne near 07022h                           ; 0f 85 78 02
+    jmp near 0709ch                           ; e9 ef 02
     mov al, byte [bp+00dh]                    ; 8a 46 0d
     cmp AL, strict byte 001h                  ; 3c 01
-    jc short 06c04h                           ; 72 04
+    jc short 06db8h                           ; 72 04
     cmp AL, strict byte 008h                  ; 3c 08
-    jbe short 06c07h                          ; 76 03
-    jmp near 06d9ah                           ; e9 93 01
+    jbe short 06dbbh                          ; 76 03
+    jmp near 06f4eh                           ; e9 93 01
     mov dx, strict word 00027h                ; ba 27 00
     mov ax, cx                                ; 89 c8
-    call 01600h                               ; e8 f1 a9
+    call 01600h                               ; e8 3d a8
     mov ah, byte [bp+00dh]                    ; 8a 66 0d
     db  0feh, 0cch
@@ -9747,194 +9923,194 @@
     mov dx, strict word 00027h                ; ba 27 00
     mov ax, cx                                ; 89 c8
-    call 0160eh                               ; e8 eb a9
+    call 0160eh                               ; e8 37 a8
     mov dx, strict word 00026h                ; ba 26 00
     mov ax, cx                                ; 89 c8
-    call 01600h                               ; e8 d5 a9
+    call 01600h                               ; e8 21 a8
     and AL, strict byte 0f8h                  ; 24 f8
     movzx bx, al                              ; 0f b6 d8
     mov dx, strict word 00026h                ; ba 26 00
     mov ax, cx                                ; 89 c8
-    call 0160eh                               ; e8 d6 a9
+    call 0160eh                               ; e8 22 a8
     mov ax, 000ffh                            ; b8 ff 00
-    call 069feh                               ; e8 c0 fd
+    call 06bb2h                               ; e8 c0 fd
     test al, al                               ; 84 c0
-    jne near 06e6eh                           ; 0f 85 2a 02
+    jne near 07022h                           ; 0f 85 2a 02
     mov dx, ss                                ; 8c d2
     lea ax, [bp-004h]                         ; 8d 46 fc
-    call 06a32h                               ; e8 e6 fd
+    call 06be6h                               ; e8 e6 fd
     mov cl, al                                ; 88 c1
     cmp byte [bp-004h], 0feh                  ; 80 7e fc fe
-    jne short 06c5fh                          ; 75 0b
+    jne short 06e13h                          ; 75 0b
     or word [bp+018h], strict byte 00001h     ; 83 4e 18 01
     mov byte [bp+013h], 004h                  ; c6 46 13 04
-    jmp near 06ee8h                           ; e9 89 02
+    jmp near 0709ch                           ; e9 89 02
     cmp byte [bp-004h], 0fah                  ; 80 7e fc fa
-    je short 06c75h                           ; 74 10
+    je short 06e29h                           ; 74 10
     movzx ax, byte [bp-004h]                  ; 0f b6 46 fc
     push ax                                   ; 50
     push 0090bh                               ; 68 0b 09
     push strict byte 00007h                   ; 6a 07
-    call 0190dh                               ; e8 9b ac
+    call 01922h                               ; e8 fc aa
     add sp, strict byte 00006h                ; 83 c4 06
     test cl, cl                               ; 84 c9
-    jne near 06e6eh                           ; 0f 85 f3 01
+    jne near 07022h                           ; 0f 85 f3 01
     mov dx, ss                                ; 8c d2
     lea ax, [bp-008h]                         ; 8d 46 f8
-    call 06a32h                               ; e8 af fd
+    call 06be6h                               ; e8 af fd
     test al, al                               ; 84 c0
-    jne near 06e6eh                           ; 0f 85 e5 01
+    jne near 07022h                           ; 0f 85 e5 01
     mov dx, ss                                ; 8c d2
     lea ax, [bp-006h]                         ; 8d 46 fa
-    call 06a32h                               ; e8 a1 fd
+    call 06be6h                               ; e8 a1 fd
     test al, al                               ; 84 c0
-    jne near 06e6eh                           ; 0f 85 d7 01
+    jne near 07022h                           ; 0f 85 d7 01
     mov al, byte [bp-008h]                    ; 8a 46 f8
     mov byte [bp+00ch], al                    ; 88 46 0c
     mov al, byte [bp-006h]                    ; 8a 46 fa
     mov byte [bp+00dh], al                    ; 88 46 0d
-    jmp near 06ee8h                           ; e9 42 02
+    jmp near 0709ch                           ; e9 42 02
     mov al, byte [bp+00dh]                    ; 8a 46 0d
     cmp AL, strict byte 003h                  ; 3c 03
-    jc short 06cbdh                           ; 72 10
-    jbe short 06cdbh                          ; 76 2c
+    jc short 06e71h                           ; 72 10
+    jbe short 06e8fh                          ; 76 2c
     cmp AL, strict byte 006h                  ; 3c 06
-    je short 06cedh                           ; 74 3a
+    je short 06ea1h                           ; 74 3a
     cmp AL, strict byte 005h                  ; 3c 05
-    je short 06ce7h                           ; 74 30
+    je short 06e9bh                           ; 74 30
     cmp AL, strict byte 004h                  ; 3c 04
-    je short 06ce1h                           ; 74 26
-    jmp short 06cf3h                          ; eb 36
+    je short 06e95h                           ; 74 26
+    jmp short 06ea7h                          ; eb 36
     cmp AL, strict byte 002h                  ; 3c 02
-    je short 06cd5h                           ; 74 14
+    je short 06e89h                           ; 74 14
     cmp AL, strict byte 001h                  ; 3c 01
-    je short 06ccfh                           ; 74 0a
+    je short 06e83h                           ; 74 0a
     test al, al                               ; 84 c0
-    jne short 06cf3h                          ; 75 2a
+    jne short 06ea7h                          ; 75 2a
     mov byte [bp-008h], 00ah                  ; c6 46 f8 0a
-    jmp short 06cf7h                          ; eb 28
+    jmp short 06eabh                          ; eb 28
     mov byte [bp-008h], 014h                  ; c6 46 f8 14
-    jmp short 06cf7h                          ; eb 22
+    jmp short 06eabh                          ; eb 22
     mov byte [bp-008h], 028h                  ; c6 46 f8 28
-    jmp short 06cf7h                          ; eb 1c
+    jmp short 06eabh                          ; eb 1c
     mov byte [bp-008h], 03ch                  ; c6 46 f8 3c
-    jmp short 06cf7h                          ; eb 16
+    jmp short 06eabh                          ; eb 16
     mov byte [bp-008h], 050h                  ; c6 46 f8 50
-    jmp short 06cf7h                          ; eb 10
+    jmp short 06eabh                          ; eb 10
     mov byte [bp-008h], 064h                  ; c6 46 f8 64
-    jmp short 06cf7h                          ; eb 0a
+    jmp short 06eabh                          ; eb 0a
     mov byte [bp-008h], 0c8h                  ; c6 46 f8 c8
-    jmp short 06cf7h                          ; eb 04
+    jmp short 06eabh                          ; eb 04
     mov byte [bp-008h], 000h                  ; c6 46 f8 00
     cmp byte [bp-008h], 000h                  ; 80 7e f8 00
-    jbe short 06d2ch                          ; 76 2f
+    jbe short 06ee0h                          ; 76 2f
     mov ax, 000f3h                            ; b8 f3 00
-    call 069feh                               ; e8 fb fc
+    call 06bb2h                               ; e8 fb fc
     test al, al                               ; 84 c0
-    jne short 06d21h                          ; 75 1a
+    jne short 06ed5h                          ; 75 1a
     mov dx, ss                                ; 8c d2
     lea ax, [bp-006h]                         ; 8d 46 fa
-    call 06a32h                               ; e8 23 fd
+    call 06be6h                               ; e8 23 fd
     movzx ax, byte [bp-008h]                  ; 0f b6 46 f8
-    call 069feh                               ; e8 e8 fc
+    call 06bb2h                               ; e8 e8 fc
     mov dx, ss                                ; 8c d2
     lea ax, [bp-006h]                         ; 8d 46 fa
-    call 06a32h                               ; e8 14 fd
-    jmp near 06ee8h                           ; e9 c7 01
+    call 06be6h                               ; e8 14 fd
+    jmp near 0709ch                           ; e9 c7 01
     or word [bp+018h], strict byte 00001h     ; 83 4e 18 01
     mov byte [bp+013h], 003h                  ; c6 46 13 03
-    jmp near 06ee8h                           ; e9 bc 01
+    jmp near 0709ch                           ; e9 bc 01
     or word [bp+018h], strict byte 00001h     ; 83 4e 18 01
     mov byte [bp+013h], 002h                  ; c6 46 13 02
-    jmp near 06ee8h                           ; e9 b1 01
+    jmp near 0709ch                           ; e9 b1 01
     cmp byte [bp+00dh], 004h                  ; 80 7e 0d 04
-    jnc short 06d9ah                          ; 73 5d
+    jnc short 06f4eh                          ; 73 5d
     mov ax, 000e8h                            ; b8 e8 00
-    call 069feh                               ; e8 bb fc
+    call 06bb2h                               ; e8 bb fc
     test al, al                               ; 84 c0
-    jne short 06d8fh                          ; 75 48
+    jne short 06f43h                          ; 75 48
     mov dx, ss                                ; 8c d2
     lea ax, [bp-008h]                         ; 8d 46 f8
-    call 06a32h                               ; e8 e3 fc
+    call 06be6h                               ; e8 e3 fc
     cmp byte [bp-008h], 0fah                  ; 80 7e f8 fa
-    je short 06d65h                           ; 74 10
+    je short 06f19h                           ; 74 10
     movzx ax, byte [bp-008h]                  ; 0f b6 46 f8
     push ax                                   ; 50
     push 00936h                               ; 68 36 09
     push strict byte 00007h                   ; 6a 07
-    call 0190dh                               ; e8 ab ab
+    call 01922h                               ; e8 0c aa
     add sp, strict byte 00006h                ; 83 c4 06
     movzx ax, byte [bp+00dh]                  ; 0f b6 46 0d
-    call 069feh                               ; e8 92 fc
+    call 06bb2h                               ; e8 92 fc
     mov dx, ss                                ; 8c d2
     lea ax, [bp-008h]                         ; 8d 46 f8
-    call 06a32h                               ; e8 be fc
+    call 06be6h                               ; e8 be fc
     cmp byte [bp-008h], 0fah                  ; 80 7e f8 fa
-    je near 06ee8h                            ; 0f 84 6c 01
+    je near 0709ch                            ; 0f 84 6c 01
     movzx ax, byte [bp-008h]                  ; 0f b6 46 f8
     push ax                                   ; 50
     push 00936h                               ; 68 36 09
     push strict byte 00007h                   ; 6a 07
-    call 0190dh                               ; e8 84 ab
+    call 01922h                               ; e8 e5 a9
     add sp, strict byte 00006h                ; 83 c4 06
-    jmp near 06ee8h                           ; e9 59 01
+    jmp near 0709ch                           ; e9 59 01
     or word [bp+018h], strict byte 00001h     ; 83 4e 18 01
     mov byte [bp+013h], 003h                  ; c6 46 13 03
-    jmp near 06ee8h                           ; e9 4e 01
+    jmp near 0709ch                           ; e9 4e 01
     or word [bp+018h], strict byte 00001h     ; 83 4e 18 01
     mov byte [bp+013h], 002h                  ; c6 46 13 02
-    jmp near 06ee8h                           ; e9 43 01
+    jmp near 0709ch                           ; e9 43 01
     mov ax, 000f2h                            ; b8 f2 00
-    call 069feh                               ; e8 53 fc
+    call 06bb2h                               ; e8 53 fc
     test al, al                               ; 84 c0
-    jne short 06dc2h                          ; 75 13
+    jne short 06f76h                          ; 75 13
     mov dx, ss                                ; 8c d2
     lea ax, [bp-008h]                         ; 8d 46 f8
-    call 06a32h                               ; e8 7b fc
+    call 06be6h                               ; e8 7b fc
     mov dx, ss                                ; 8c d2
     lea ax, [bp-006h]                         ; 8d 46 fa
-    call 06a32h                               ; e8 73 fc
-    jmp near 06c9dh                           ; e9 db fe
+    call 06be6h                               ; e8 73 fc
+    jmp near 06e51h                           ; e9 db fe
     or word [bp+018h], strict byte 00001h     ; 83 4e 18 01
     mov byte [bp+013h], 003h                  ; c6 46 13 03
-    jmp near 06ee8h                           ; e9 1b 01
+    jmp near 0709ch                           ; e9 1b 01
     mov al, byte [bp+00dh]                    ; 8a 46 0d
     test al, al                               ; 84 c0
-    jbe short 06ddbh                          ; 76 07
+    jbe short 06f8fh                          ; 76 07
     cmp AL, strict byte 002h                  ; 3c 02
-    jbe short 06e44h                          ; 76 6c
-    jmp near 06e78h                           ; e9 9d 00
+    jbe short 06ff8h                          ; 76 6c
+    jmp near 0702ch                           ; e9 9d 00
     mov ax, 000e9h                            ; b8 e9 00
-    call 069feh                               ; e8 1d fc
+    call 06bb2h                               ; e8 1d fc
     test al, al                               ; 84 c0
-    jne near 06e6eh                           ; 0f 85 87 00
+    jne near 07022h                           ; 0f 85 87 00
     mov dx, ss                                ; 8c d2
     lea ax, [bp-008h]                         ; 8d 46 f8
-    call 06a32h                               ; e8 43 fc
+    call 06be6h                               ; e8 43 fc
     mov cl, al                                ; 88 c1
     cmp byte [bp-008h], 0fah                  ; 80 7e f8 fa
-    je short 06e07h                           ; 74 10
+    je short 06fbbh                           ; 74 10
     movzx ax, byte [bp-008h]                  ; 0f b6 46 f8
     push ax                                   ; 50
     push 00936h                               ; 68 36 09
     push strict byte 00007h                   ; 6a 07
-    call 0190dh                               ; e8 09 ab
+    call 01922h                               ; e8 6a a9
     add sp, strict byte 00006h                ; 83 c4 06
     test cl, cl                               ; 84 c9
-    jne short 06e6eh                          ; 75 63
+    jne short 07022h                          ; 75 63
     mov dx, ss                                ; 8c d2
     lea ax, [bp-008h]                         ; 8d 46 f8
-    call 06a32h                               ; e8 1f fc
+    call 06be6h                               ; e8 1f fc
     test al, al                               ; 84 c0
-    jne short 06e6eh                          ; 75 57
+    jne short 07022h                          ; 75 57
     mov dx, ss                                ; 8c d2
     lea ax, [bp-006h]                         ; 8d 46 fa
-    call 06a32h                               ; e8 13 fc
+    call 06be6h                               ; e8 13 fc
     test al, al                               ; 84 c0
-    jne short 06e6eh                          ; 75 4b
+    jne short 07022h                          ; 75 4b
     mov dx, ss                                ; 8c d2
     lea ax, [bp-004h]                         ; 8d 46 fc
-    call 06a32h                               ; e8 07 fc
+    call 06be6h                               ; e8 07 fc
     test al, al                               ; 84 c0
-    jne short 06e6eh                          ; 75 3f
+    jne short 07022h                          ; 75 3f
     mov al, byte [bp-008h]                    ; 8a 46 f8
     mov byte [bp+00ch], al                    ; 88 46 0c
@@ -9943,74 +10119,74 @@
     mov al, byte [bp-004h]                    ; 8a 46 fc
     mov byte [bp+00eh], al                    ; 88 46 0e
-    jmp near 06ee8h                           ; e9 a4 00
+    jmp near 0709ch                           ; e9 a4 00
     cmp AL, strict byte 001h                  ; 3c 01
-    jne short 06e4dh                          ; 75 05
+    jne short 07001h                          ; 75 05
     mov ax, 000e6h                            ; b8 e6 00
-    jmp short 06e50h                          ; eb 03
+    jmp short 07004h                          ; eb 03
     mov ax, 000e7h                            ; b8 e7 00
-    call 069feh                               ; e8 ab fb
+    call 06bb2h                               ; e8 ab fb
     mov cl, al                                ; 88 c1
     test cl, cl                               ; 84 c9
-    jne short 06e68h                          ; 75 0f
+    jne short 0701ch                          ; 75 0f
     mov dx, ss                                ; 8c d2
     lea ax, [bp-008h]                         ; 8d 46 f8
-    call 06a32h                               ; e8 d1 fb
+    call 06be6h                               ; e8 d1 fb
     cmp byte [bp-008h], 0fah                  ; 80 7e f8 fa
     db  00fh, 095h, 0c1h
     ; setne cl                                  ; 0f 95 c1
     test cl, cl                               ; 84 c9
-    je near 06ee8h                            ; 0f 84 7a 00
+    je near 0709ch                            ; 0f 84 7a 00
     or word [bp+018h], strict byte 00001h     ; 83 4e 18 01
     mov byte [bp+013h], 003h                  ; c6 46 13 03
-    jmp short 06ee8h                          ; eb 70
+    jmp short 0709ch                          ; eb 70
     movzx ax, byte [bp+00dh]                  ; 0f b6 46 0d
     push ax                                   ; 50
     push 00962h                               ; 68 62 09
     push strict byte 00007h                   ; 6a 07
-    call 0190dh                               ; e8 88 aa
+    call 01922h                               ; e8 e9 a8
     add sp, strict byte 00006h                ; 83 c4 06
     or word [bp+018h], strict byte 00001h     ; 83 4e 18 01
     mov byte [bp+013h], 001h                  ; c6 46 13 01
-    jmp short 06ee8h                          ; eb 56
+    jmp short 0709ch                          ; eb 56
     mov si, word [bp+00ch]                    ; 8b 76 0c
     mov bx, si                                ; 89 f3
     mov dx, strict word 00022h                ; ba 22 00
     mov ax, cx                                ; 89 c8
-    call 0162ah                               ; e8 8b a7
+    call 0162ah                               ; e8 d7 a5
     mov bx, word [bp+014h]                    ; 8b 5e 14
     mov dx, strict word 00024h                ; ba 24 00
     mov ax, cx                                ; 89 c8
-    call 0162ah                               ; e8 80 a7
+    call 0162ah                               ; e8 cc a5
     mov dx, strict word 00027h                ; ba 27 00
     mov ax, cx                                ; 89 c8
-    call 01600h                               ; e8 4e a7
+    call 01600h                               ; e8 9a a5
     mov ah, al                                ; 88 c4
     test si, si                               ; 85 f6
-    jne short 06ec6h                          ; 75 0e
+    jne short 0707ah                          ; 75 0e
     cmp word [bp+014h], strict byte 00000h    ; 83 7e 14 00
-    jne short 06ec6h                          ; 75 08
+    jne short 0707ah                          ; 75 08
     test AL, strict byte 080h                 ; a8 80
-    je short 06ec8h                           ; 74 06
+    je short 0707ch                           ; 74 06
     and AL, strict byte 07fh                  ; 24 7f
-    jmp short 06ec8h                          ; eb 02
+    jmp short 0707ch                          ; eb 02
     or AL, strict byte 080h                   ; 0c 80
     movzx bx, al                              ; 0f b6 d8
     mov dx, strict word 00027h                ; ba 27 00
     mov ax, cx                                ; 89 c8
-    call 0160eh                               ; e8 3b a7
-    jmp short 06ee8h                          ; eb 13
+    call 0160eh                               ; e8 87 a5
+    jmp short 0709ch                          ; eb 13
     push 0097ch                               ; 68 7c 09
     push strict byte 00007h                   ; 6a 07
-    call 0190dh                               ; e8 30 aa
+    call 01922h                               ; e8 91 a8
     add sp, strict byte 00004h                ; 83 c4 04
     or word [bp+018h], strict byte 00001h     ; 83 4e 18 01
     mov byte [bp+013h], 001h                  ; c6 46 13 01
     mov ax, strict word 00047h                ; b8 47 00
-    call 06a6dh                               ; e8 7f fb
+    call 06c21h                               ; e8 7f fb
     lea sp, [bp-002h]                         ; 8d 66 fe
     pop si                                    ; 5e
     pop bp                                    ; 5d
     retn                                      ; c3
-_int17_function:                             ; 0xf6ef4 LB 0xb3
+_int17_function:                             ; 0xf70a8 LB 0xb3
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
